Bug 1916859 - configs.imageregistry.operator.openshift.io cluster does not update its status fields after URL change
Summary: configs.imageregistry.operator.openshift.io cluster does not update its statu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1916857
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-15 16:48 UTC by OpenShift BugZilla Robot
Modified: 2021-03-03 04:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Lack of update in config status during operator sync execution. Consequence: Config's status field was not presenting the most up to date (applied) swift configuration. Fix: Fixed the sync process to update config's status to config's spec values. Result: Spec and Status now are in sync with status presenting what is the current applied config.
Clone Of:
Environment:
Last Closed: 2021-03-03 04:40:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 656 0 None open [release-4.5] Bug 1916859: Sync status to spec with regards to Swift config 2021-02-10 22:29:39 UTC
Red Hat Product Errata RHSA-2021:0428 0 None None None 2021-03-03 04:40:52 UTC

Comment 3 Wenjing Zheng 2021-02-23 08:11:35 UTC
Verified with 4.5.0-0.nightly-2021-02-22-141205.

Comment 5 errata-xmlrpc 2021-03-03 04:40:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.5.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0428


Note You need to log in before you can comment on or make changes to this bug.